<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
            http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.yifu.cloud.plus.v1</groupId>
        <artifactId>yifu</artifactId>
        <version>1.0.0</version>
		<relativePath>../../pom.xml</relativePath>
    </parent>

    <artifactId>yifu-batch-biz</artifactId>
    <packaging>jar</packaging>

    <description>大批量数据处理</description>


    <dependencies>
		<!--选配: orm 模块-->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-batch-api</artifactId>
			<version>1.0.0</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
		<!--必备：安全模块-->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-security</artifactId>
		</dependency>
		<!--必备：日志处理-->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-log</artifactId>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-archives-api</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-salary-api</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-insurances-api</artifactId>
			<version>1.0.0</version>
		</dependency>
		<!--必备：swagger-->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-swagger</artifactId>
		</dependency>
		<!--必备：undertow容器-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-undertow</artifactId>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-archives-api</artifactId>
			<version>1.0.0</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-salary-api</artifactId>
			<version>1.0.0</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.jcraft</groupId>
			<artifactId>jsch</artifactId>
			<version>0.1.55</version>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-core</artifactId>
		</dependency>
		<dependency>
			<groupId>com.github.binarywang</groupId>
			<artifactId>weixin-java-cp</artifactId>
			<version>4.7.0</version>
		</dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<configuration>
					<encoding>UTF-8</encoding>
					<nonFilteredFileExtensions>
						<nonFilteredFileExtension>xls</nonFilteredFileExtension>
						<nonFilteredFileExtension>xlsx</nonFilteredFileExtension>
					</nonFilteredFileExtensions>
				</configuration>
			</plugin>
            <plugin>
				<groupId>com.spotify</groupId>
				<artifactId>docker-maven-plugin</artifactId>
				<version>1.1.0</version>
				<configuration>
					<serverId>docker-hub</serverId>
					<!--指定生成的镜像名-->
					<imageName>${my.hub.host}/${map.group.name}/${project.artifactId}:${project.version}</imageName>
					<dockerDirectory>${project.basedir}/</dockerDirectory>
					<!--指定远程 docker api地址-->
					<!--<dockerHost>http://172.16.66.232:2375</dockerHost>-->
					<!--  这里是复制 jar 包到 docker 容器指定目录配置-->
					<resources>
						<resource>
							<targetPath>/</targetPath>
							<!--jar 包所在的路径  此处配置的 即对应 target 目录-->
							<directory>${project.build.directory}</directory>
							<!-- 需要包含的 jar包 ，这里对应的是 Dockerfile中添加的文件名　-->
							<include>${project.build.finalName}.jar</include>
						</resource>
					</resources>
					<forceTags>true</forceTags>
				</configuration>
            </plugin>
        </plugins>
    </build>

</project>
